org.appng.appngizer.model.xml

## Class Repository

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Repository

- Direct Known Subclasses:
    Repository

      public class Repository
      extends Nameable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}nameable">
             <sequence>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="remoteName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="uri" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
               <element name="enabled" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="strict" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="published" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="mode" type="{http://www.appng.org/schema/appngizer}repositoryMode"/>
               <element name="type" type="{http://www.appng.org/schema/appngizer}repositoryType"/>
               <element ref="{http://www.appng.org/schema/appngizer}packages" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `description`
    `protected boolean` | `enabled`
    `protected RepositoryMode` | `mode`
    `protected Packages` | `packages`
    `protected boolean` | `published`
    `protected String` | `remoteName`
    `protected boolean` | `strict`
    `protected RepositoryType` | `type`
    `protected String` | `uri`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Repository()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the value of the description property.
    `RepositoryMode` | `getMode()` Gets the value of the mode property.
    `Packages` | `getPackages()` Gets the value of the packages property.
    `String` | `getRemoteName()` Gets the value of the remoteName property.
    `RepositoryType` | `getType()` Gets the value of the type property.
    `String` | `getUri()` Gets the value of the uri property.
    `boolean` | `isEnabled()` Gets the value of the enabled property.
    `boolean` | `isPublished()` Gets the value of the published property.
    `boolean` | `isStrict()` Gets the value of the strict property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setEnabled(boolean value)` Sets the value of the enabled property.
    `void` | `setMode(RepositoryMode value)` Sets the value of the mode property.
    `void` | `setPackages(Packages value)` Sets the value of the packages property.
    `void` | `setPublished(boolean value)` Sets the value of the published property.
    `void` | `setRemoteName(String value)` Sets the value of the remoteName property.
    `void` | `setStrict(boolean value)` Sets the value of the strict property.
    `void` | `setType(RepositoryType value)` Sets the value of the type property.
    `void` | `setUri(String value)` Sets the value of the uri property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected String description

    - #### remoteName

          protected String remoteName

    - #### uri

          protected String uri

    - #### enabled

          protected boolean enabled

    - #### strict

          protected boolean strict

    - #### published

          protected boolean published

    - #### mode

          protected RepositoryMode mode

    - #### type

          protected RepositoryType type

    - #### packages

          protected Packages packages

  - ### Constructor Detail

    - #### Repository

          public Repository()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRemoteName

          public String getRemoteName()

      Gets the value of the remoteName property.
      Returns:
        possible object is `String`

    - #### setRemoteName

          public void setRemoteName(String value)

      Sets the value of the remoteName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUri

          public String getUri()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setUri

          public void setUri(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### isEnabled

          public boolean isEnabled()

      Gets the value of the enabled property.

    - #### setEnabled

          public void setEnabled(boolean value)

      Sets the value of the enabled property.

    - #### isStrict

          public boolean isStrict()

      Gets the value of the strict property.

    - #### setStrict

          public void setStrict(boolean value)

      Sets the value of the strict property.

    - #### isPublished

          public boolean isPublished()

      Gets the value of the published property.

    - #### setPublished

          public void setPublished(boolean value)

      Sets the value of the published property.

    - #### getMode

          public RepositoryMode getMode()

      Gets the value of the mode property.
      Returns:
        possible object is `RepositoryMode`

    - #### setMode

          public void setMode(RepositoryMode value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `RepositoryMode`

    - #### getType

          public RepositoryType getType()

      Gets the value of the type property.
      Returns:
        possible object is `RepositoryType`

    - #### setType

          public void setType(RepositoryType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `RepositoryType`

    - #### getPackages

          public Packages getPackages()

      Gets the value of the packages property.
      Returns:
        possible object is `Packages`

    - #### setPackages

          public void setPackages(Packages value)

      Sets the value of the packages property.
      Parameters:
        `value` - allowed object is `Packages`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.